// site-link.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const SiteLinkSchema = new Schema({
  parent: { type: Schema.ObjectId, index: 1 },
  label: { type: String, required: true },
  url: { type: String, required: true },
  iconUrl: { type: String, required: true },
  target: { type: String },
});

module.exports = mongoose.model('SiteLink', SiteLinkSchema);